Skip to main content

Get NQE query execution status

GET 

/networks/:networkId/nqe-executions/:executionKey

Returns the current status of an NQE query execution. When it completes normally, the outcome will be OK and the result can then be retrieved using Get NQE query execution result. When the query has completed with an outcome of USER_ERROR, the response includes an error that contains the diagnostic output.

Poll this endpoint until the execution is complete. We recommend polling no more than once every 5 seconds. If you need lower latency than polling allows, consider using the synchronous Run an NQE query to obtain its result in a single request instead.

An executionKey remains valid until the next major release of Forward Enterprise; afterwards, this endpoint returns a 404 error for that key.

Request

Responses

OK